### Method

# ClapperGtk Container set_adaptive_width

#### Declaration [src]

    void
    clapper_gtk_container_set_adaptive_width (
      ClapperGtkContainer* container,
      gint width
    )

#### Description [src]

Set an adaptive width threshold. When widget is resized to value or lower, an `ClapperGtkContainer::adapt` signal will be emitted with `TRUE` to notify implementation about mobile adaptation request, otherwise `FALSE` when both threshold values are exceeded.

Sets property | `ClapperGtk.Container:adaptive-width`

#### Parameters

`width`

  Type: `gint`

  A threshold on which adapt signal should be triggered or -1 to disable.